> For the complete documentation index, see [llms.txt](https://docs.wawex.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wawex.ai/api-reference/onboardings/onboarding.md).

# Onboarding

## Start Onboarding

> Start onboarding process. Proxy and beneficial owner can be onboarded if the customer is already onboarded.

```json
{"openapi":"3.0.1","info":{"title":"Onboardings","version":"1.0"},"tags":[{"name":"Onboarding","description":"Onboarding of customers"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"StartOnboardingResult":{"title":"StartOnboardingResult","type":"object","properties":{"onboardingId":{"type":"string","format":"uuid","readOnly":true}},"required":["onboardingId"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]},"OnboardingData":{"title":"OnboardingData","type":"object","properties":{"entityType":{"$ref":"#/components/schemas/OnboardingEntityTypeEnum"},"entityId":{"type":"string","format":"uuid","description":"Identification number in UUID format of customer, proxy, beneficial owner or partner depending on the value of `entityType`"}},"required":["entityType","entityId"],"description":""},"OnboardingEntityTypeEnum":{"title":"OnboardingEntityTypeEnum","type":"string","enum":["CUSTOMER","PROXY","BENEFICIAL_OWNER","PARTNER_USER"]}}},"paths":{"/onboardings":{"post":{"summary":"Start Onboarding","operationId":"start-onboarding","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StartOnboardingResult"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Start onboarding process. Proxy and beneficial owner can be onboarded if the customer is already onboarded.","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/OnboardingData"}}},"description":""},"tags":["Onboarding"]}}}}
```

## Get Onboardings

> Get list of onboardings

```json
{"openapi":"3.0.1","info":{"title":"Onboardings","version":"1.0"},"tags":[{"name":"Onboarding","description":"Onboarding of customers"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"Onboarding":{"type":"object","properties":{"onboardingId":{"type":"string","format":"uuid","readOnly":true},"status":{"$ref":"#/components/schemas/OnboardingStatusEnum"},"entityType":{"$ref":"#/components/schemas/OnboardingEntityTypeEnum"},"entityId":{"type":"string","format":"uuid","description":"Identification number in UUID format of customer, proxy, beneficial owner or partner depending on the value of `entityType`"},"createdOn":{"type":"string","format":"date-time","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","readOnly":true}},"required":["createdOn","entityId","entityType","modifiedOn","onboardingId","status"],"title":"Onboarding","description":""},"OnboardingStatusEnum":{"title":"OnboardingStatusEnum","type":"string","enum":["CREATED","PENDING","APPROVED","REJECTED","RECEIVED","INVALID"],"readOnly":true},"OnboardingEntityTypeEnum":{"title":"OnboardingEntityTypeEnum","type":"string","enum":["CUSTOMER","PROXY","BENEFICIAL_OWNER","PARTNER_USER"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/onboardings":{"get":{"summary":"Get Onboardings","operationId":"get-onboardings","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Onboarding"}}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Get list of onboardings","tags":["Onboarding"],"parameters":[{"schema":{"$ref":"#/components/schemas/OnboardingEntityTypeEnum"},"name":"entityType","in":"query","required":true},{"schema":{"type":"string","format":"uuid"},"name":"entityId","in":"query","required":true,"description":"Unique identification number of onboarded entity type in UUID format."}]}}}}
```

## Get Onboarding

> Get onboarding information

```json
{"openapi":"3.0.1","info":{"title":"Onboardings","version":"1.0"},"tags":[{"name":"Onboarding","description":"Onboarding of customers"}],"servers":[{"url":"https://tvda-api.platform-test.tradevest.ai","description":"Test"},{"url":"https://tvda-api.platform-pretest.tradevest.ai","description":"Pretest"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://tvdcustomauthdomain.auth.eu-central-1.amazoncognito.com/oauth2/token","scopes":{}}}}},"schemas":{"Onboarding":{"type":"object","properties":{"onboardingId":{"type":"string","format":"uuid","readOnly":true},"status":{"$ref":"#/components/schemas/OnboardingStatusEnum"},"entityType":{"$ref":"#/components/schemas/OnboardingEntityTypeEnum"},"entityId":{"type":"string","format":"uuid","description":"Identification number in UUID format of customer, proxy, beneficial owner or partner depending on the value of `entityType`"},"createdOn":{"type":"string","format":"date-time","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","readOnly":true}},"required":["createdOn","entityId","entityType","modifiedOn","onboardingId","status"],"title":"Onboarding","description":""},"OnboardingStatusEnum":{"title":"OnboardingStatusEnum","type":"string","enum":["CREATED","PENDING","APPROVED","REJECTED","RECEIVED","INVALID"],"readOnly":true},"OnboardingEntityTypeEnum":{"title":"OnboardingEntityTypeEnum","type":"string","enum":["CUSTOMER","PROXY","BENEFICIAL_OWNER","PARTNER_USER"]},"ErrorMessage":{"title":"ErrorMessage","type":"object","properties":{"message":{"type":"string"},"responseType":{"type":"string"},"validationString":{"minLength":1,"type":"string"},"requestId":{"type":"string"},"errorCode":{"type":"string","maxLength":255},"errorDetails":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"}}},"required":["message","responseType","requestId"]},"ErrorDetails":{"title":"ErrorDetails","type":"object","properties":{"field":{"type":"string","maxLength":255},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetailsExplanation"}}},"required":["field"]},"ErrorDetailsExplanation":{"title":"ErrorDetailsExplanation","type":"object","properties":{"code":{"type":"string","maxLength":255},"parameter":{"type":"string"},"message":{"type":"string"}},"required":["code","message"]}}},"paths":{"/onboardings/{onboardingId}":{"get":{"summary":"Get Onboarding","operationId":"get-onboarding","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Onboarding"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorMessage"}}}}},"description":"Get onboarding information","tags":["Onboarding"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wawex.ai/api-reference/onboardings/onboarding.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
